Method: snapshotGroups.get

returns the specified SnapshotGroup resource.

HTTP request

GET https://compute.googleapis.com/compute/beta/projects/{project}/global/snapshotGroups/{snapshotGroup}

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
project

string

Project ID for this request.

snapshotGroup

string

Name of the SnapshotGroup resource to return.

Request body

The request body must be empty.

Response body

Represents a SnapshotGroup resource.

A snapshot group is a set of snapshots that represents a point in time state of a consistency group.

If successful, the response body contains data with the following structure:

JSON representation
{
  "kind": string,
  "name": string,
  "description": string,
  "id": string,
  "status": enum,
  "creationTimestamp": string,
  "sourceInfo": {
    "consistencyGroup": string,
    "consistencyGroupId": string
  },
  "sourceInstantSnapshotGroupInfo": {
    "instantSnapshotGroup": string,
    "instantSnapshotGroupId": string
  },
  "sourceInstantSnapshotGroup": string,
  "selfLink": string,
  "selfLinkWithId": string
}
Fields
kind

string

Output only. Type of the resource. Always compute#snapshotGroup for SnapshotGroup resources.

name

string

Identifier. Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

description

string

Optional. An optional description of this resource. Provide this property when you create the resource.

id

string (uint64 format)

Output only. The unique identifier for the resource. This identifier is defined by the server.

status

enum

Output only.

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

sourceInfo

object

Output only.

sourceInfo.consistencyGroup

string

sourceInfo.consistencyGroupId

string

sourceInstantSnapshotGroupInfo

object

Output only.

sourceInstantSnapshotGroupInfo.instantSnapshotGroup

string

sourceInstantSnapshotGroupInfo.instantSnapshotGroupId

string

sourceInstantSnapshotGroup

string

Input field for the source instant snapshot group.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.snapshotGroups.get

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.